---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefineCFLH.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50560, symBinAddr: 0x6320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x524A0, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52890, symBinAddr: 0x8650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53830, symBinAddr: 0x95F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53840, symBinAddr: 0x9600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xDEA8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50090, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50094, symBinAddr: 0x6094, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50098, symBinAddr: 0x6098, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x501F0, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x502A8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x502AC, symBinAddr: 0x615C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x502B0, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x502B4, symBinAddr: 0x6164, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x502B8, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x502C0, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x502D8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x502E0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x502E8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x502F0, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x502F8, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x5033A, symBinAddr: 0x61BA, symSize: 0x0 }
  - { offsetInCU: 0x90F3, offset: 0x90F3, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50340, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x910C, offset: 0x910C, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50348, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x912C, offset: 0x912C, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50350, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x9145, offset: 0x9145, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50360, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0x9197, offset: 0x9197, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1530, symSize: 0x80 }
  - { offsetInCU: 0x922C, offset: 0x922C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1480, symSize: 0xB0 }
  - { offsetInCU: 0x9287, offset: 0x9287, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1380, symSize: 0x100 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15B0, symSize: 0x220 }
  - { offsetInCU: 0x96FF, offset: 0x96FF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x17D0, symSize: 0xA0 }
  - { offsetInCU: 0x97B2, offset: 0x97B2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1870, symSize: 0x110 }
  - { offsetInCU: 0x98A8, offset: 0x98A8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1980, symSize: 0x150 }
  - { offsetInCU: 0x99D9, offset: 0x99D9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1AD0, symSize: 0x30 }
  - { offsetInCU: 0x9A9A, offset: 0x9A9A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1B00, symSize: 0x150 }
  - { offsetInCU: 0x9C92, offset: 0x9C92, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1C50, symSize: 0x160 }
  - { offsetInCU: 0x9E1E, offset: 0x9E1E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA039, offset: 0xA039, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1F60, symSize: 0xA0 }
  - { offsetInCU: 0xA160, offset: 0xA160, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2000, symSize: 0x20 }
  - { offsetInCU: 0xA197, offset: 0xA197, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2020, symSize: 0x20 }
  - { offsetInCU: 0xA1CE, offset: 0xA1CE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2040, symSize: 0x20 }
  - { offsetInCU: 0xA33D, offset: 0xA33D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2060, symSize: 0x1A0 }
  - { offsetInCU: 0xA663, offset: 0xA663, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2200, symSize: 0x80 }
  - { offsetInCU: 0xA72C, offset: 0xA72C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2280, symSize: 0x6A0 }
  - { offsetInCU: 0xB2C1, offset: 0xB2C1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA070, symBinAddr: 0x3480, symSize: 0xB0 }
  - { offsetInCU: 0xB338, offset: 0xB338, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2920, symSize: 0x70 }
  - { offsetInCU: 0xB42C, offset: 0xB42C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2990, symSize: 0xA0 }
  - { offsetInCU: 0xB557, offset: 0xB557, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2A30, symSize: 0x40 }
  - { offsetInCU: 0xB64D, offset: 0xB64D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2A70, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F3, offset: 0xB9F3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2D20, symSize: 0xC0 }
  - { offsetInCU: 0xBB39, offset: 0xBB39, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2DE0, symSize: 0x10 }
  - { offsetInCU: 0xBBFB, offset: 0xBBFB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2DF0, symSize: 0x220 }
  - { offsetInCU: 0xBEF8, offset: 0xBEF8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3010, symSize: 0x10 }
  - { offsetInCU: 0xBF55, offset: 0xBF55, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3020, symSize: 0x1E0 }
  - { offsetInCU: 0xC1D0, offset: 0xC1D0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x3200, symSize: 0x10 }
  - { offsetInCU: 0xC22D, offset: 0xC22D, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9E00, symBinAddr: 0x3210, symSize: 0x20 }
  - { offsetInCU: 0xC264, offset: 0xC264, size: 0x8, addend: 0x0, symName: _ClassFileLoadHook, symObjAddr: 0x9E20, symBinAddr: 0x3230, symSize: 0x120 }
  - { offsetInCU: 0xC430, offset: 0xC430, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_events_redefineCFLH_JvmtiTest_makeRedefinition, symObjAddr: 0x9F40, symBinAddr: 0x3350, symSize: 0x120 }
  - { offsetInCU: 0xC57C, offset: 0xC57C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_events_redefineCFLH_JvmtiTest_GetResult, symObjAddr: 0xA060, symBinAddr: 0x3470, symSize: 0x10 }
  - { offsetInCU: 0xC5B1, offset: 0xC5B1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA120, symBinAddr: 0x3530, symSize: 0x36A }
...
